CVE-2024-20952

Name
CVE-2024-20952
Description
Vulnerability in the Oracle Java SE, Oracle GraalVM for JDK, Oracle GraalVM Enterprise Edition product of Oracle Java SE (component: Security). Supported versions that are affected are Oracle Java SE: 8u391, 8u391-perf, 11.0.21, 17.0.9, 21.0.1; Oracle GraalVM for JDK: 17.0.9, 21.0.1; Oracle GraalVM Enterprise Edition: 20.3.12, 21.3.8 and 22.3.4. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Oracle Java SE, Oracle GraalVM for JDK, Oracle GraalVM Enterprise Edition. Successful attacks of this vulnerability can result in unauthorized creation, deletion or modification access to critical data or all Oracle Java SE, Oracle GraalVM for JDK, Oracle GraalVM Enterprise Edition accessible data as well as unauthorized access to critical data or complete access to all Oracle Java SE, Oracle GraalVM for JDK, Oracle GraalVM Enterprise Edition accessible data. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets, that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability does not apply to Java deployments, typically in servers, that load and run only trusted code (e.g., code installed by an administrator). CVSS 3.1 Base Score 7.4 (Confidentiality and Integrity impacts). CVSS Vector: (CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N).
NVD Severity
unknown
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
secalert_us@oracle.com https://www.oracle.com/security-alerts/cpujan2024.html
secalert_us@oracle.com https://lists.debian.org/debian-lts-announce/2024/01/msg00023.html
secalert_us@oracle.com https://security.netapp.com/advisory/ntap-20240201-0002/

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:oracle:graalvm:20.3.12:*:*:*:enterprise:*:*:* graalvm == None == 20.3.12
cpe:2.3:a:oracle:graalvm:21.3.8:*:*:*:enterprise:*:*:* graalvm == None == 21.3.8
cpe:2.3:a:oracle:graalvm:22.3.4:*:*:*:enterprise:*:*:* graalvm == None == 22.3.4
cpe:2.3:a:oracle:graalvm_for_jdk:17.0.9:*:*:*:*:*:*:* graalvm_for_jdk == None == 17.0.9
cpe:2.3:a:oracle:graalvm_for_jdk:21.0.1:*:*:*:*:*:*:* graalvm_for_jdk == None == 21.0.1
cpe:2.3:a:oracle:jdk:1.8.0:update391:*:*:-:*:*:* jdk == None == 1.8.0
cpe:2.3:a:oracle:jdk:11.0.21:*:*:*:*:*:*:* jdk == None == 11.0.21
cpe:2.3:a:oracle:jdk:17.0.9:*:*:*:*:*:*:* jdk == None == 17.0.9
cpe:2.3:a:oracle:jdk:21.0.1:*:*:*:*:*:*:* jdk == None == 21.0.1
cpe:2.3:a:oracle:jre:1.8.0:update391:*:*:-:*:*:* jre == None == 1.8.0
cpe:2.3:a:oracle:jre:11.0.21:*:*:*:*:*:*:* jre == None == 11.0.21
cpe:2.3:a:oracle:jre:17.0.9:*:*:*:*:*:*:* jre == None == 17.0.9
cpe:2.3:a:oracle:jre:21.0.1:*:*:*:*:*:*:* jre == None == 21.0.1

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
openjdk11 edge-community 11.0.22_p7-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk17 edge-community 17.0.10_p7-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk11 3.19-community 11.0.22_p7-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk17 3.19-community 17.0.10_p7-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk21 3.19-community 21.0.2_p13-r0 Simon Frankenberger <simon-alpine@fraho.eu> fixed
openjdk8 edge-community 8.402.06-r0 Timo Teras <timo.teras@iki.fi> fixed
openjdk8 3.19-community 8.402.06-r0 Timo Teras <timo.teras@iki.fi> fixed